# Float

    extension Float: FieldStorableType

    extension Float: ImportableAttributeType

    extension Float: AllowedObjectiveCKeyPathValue

    extension Float: AllowedObjectiveCAttributeKeyPathValue

    extension Float: QueryableAttributeType

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = Float

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = Float

### Float

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSNumber

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> Float?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType